[l10n][Lock Screen]Arabic: The format of date in Arabic on lock screen is incorrect.

VERIFIED FIXED

Status

Mozilla Localizations
ar / Arabic
VERIFIED FIXED
3 years ago
3 years ago

People

(Reporter: Sue, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: LocRun2.2,)

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8599178 [details]
Arabic_date_on_lockscreen.png

[1.Description]:
[l10n][v2.1 & v2.2][Lock Screen]Arabic: The format of date in Arabic on lock screen is day of week, month, day from right to left.
See attachment:Arabic_date_on_lockscreen.png

[2.Testing Steps]: 
Prerequisite: Set system language as Arabic and enable Lock Screen.
1. Press power key to go to sleep mode.
2. Press power key again to lock screen.
3. Observe the date in lock screen.

[3.Expected Result]: 
3. The date formatting for Arabic is day of week, day, month from right to left.

[4.Actual Result]: 
3. The date formatting is day of week, month, day from right to left.

[5.Reproduction build]: 
Device: Flame 2.2 user (affected)
Build ID               20150428002500
Gaia Revision          9f6b1b9082662ba2c14168fc66bb02b4df3141e5
Gaia Date              2015-04-27 20:41:33
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/e79c19bf19bf
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150428.042314
Firmware Date          Tue Apr 28 04:23:26 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.1 user (affected)
Build ID               20150428001200
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/5f2c57b580ff
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150428.035731
Firmware Date          Tue Apr 28 03:57:42 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
Free Test
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
Rami: seems like this should have been fixed by in Bug 1131488. Can you please look into this? thanks!
Flags: needinfo?(rami223)

Comment 2

3 years ago
Sorry for my late reply, seems this was messed up with the last update for the date format
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(rami223)
Resolution: --- → FIXED
(Reporter)

Comment 3

3 years ago
Created attachment 8603217 [details]
verify_pass.png

This issue has been verified as pass on latest build of Flame 2.2/3.0 by the STRs in comment 0.
Result: The date in lockscreen is shown as day of week, day, month from right to left.
Note: The Arabic is not ready for v2.1 yet. No need to verify v2.1
See attachment:verify_pass.png
Rate:0/5

Device: Flame 2.2 user (pass)
Build ID               20150507002500
Gaia Revision          83a63e0e6fcc22c6a74b06ef77b88d5049719cad
Gaia Date              2015-05-07 00:17:17
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/118ddfc76b60
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150507.041806
Firmware Date          Thu May  7 04:18:17 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 user (pass)
Build ID               20150507160204
Gaia Revision          bc5bfa18f795919b56b952bbf3637c235d0e13dc
Gaia Date              2015-05-07 13:18:34
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/5e02da1141d2
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150507.191949
Firmware Date          Thu May  7 19:19:59 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.1: affected → ---
status-b2g-v2.2: affected → verified
status-b2g-master: --- → verified
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][MGSEI-l10n-1F]
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Arabic → LocRun2.2,
You need to log in before you can comment on or make changes to this bug.